Name:          libsass
Version:       3.6.6
Release:       1mamba
Summary:       Sass compiler written in C++
Group:         System/Libraries
Vendor:        openmamba
Distribution:  openmamba
Packager:      Silvan Calarco <silvan.calarco@mambasoft.it>
URL:           https://sass-lang.com/libsass/
Source:        https://github.com/sass/libsass.git/%{version}/libsass-%{version}.tar.bz2
License:       MIT
## AUTOBUILDREQ-BEGIN
BuildRequires: glibc-devel
BuildRequires: libgcc
BuildRequires: libstdc++6-devel
## AUTOBUILDREQ-END

%description
Sass compiler written in C++.

%package devel
Group:         Development/Libraries
Summary:       Development files for %{name}
Requires:      %{name} = %{?epoch:%epoch:}%{version}-%{release}
Requires:      pkg-config

%description devel
This package contains libraries and header files for developing applications that use %{name}.

%debug_package

%prep
%setup -q

%build
autoreconf -f -i
%configure \
   --enable-shared \
   --disable-static

%make

%install
[ "%{buildroot}" != / ] && rm -rf "%{buildroot}"
%makeinstall

%clean
[ "%{buildroot}" != / ] && rm -rf "%{buildroot}"

%post -p /sbin/ldconfig
%postun -p /sbin/ldconfig

%files
%defattr(-,root,root)
%{_libdir}/libsass.so.*
%doc COPYING LICENSE

%files devel
%defattr(-,root,root)
%{_includedir}/sass.h
%{_includedir}/sass2scss.h
%dir %{_includedir}/sass
%{_includedir}/sass/*.h
%{_libdir}/libsass.so
%{_libdir}/pkgconfig/libsass.pc

%changelog
* Sat Dec 23 2023 Automatic Build System <autodist@mambasoft.it> 3.6.6-1mamba
- automatic version update by autodist

* Fri May 21 2021 Automatic Build System <autodist@mambasoft.it> 3.6.5-1mamba
- automatic version update by autodist

* Fri May 01 2020 Automatic Build System <autodist@mambasoft.it> 3.6.4-1mamba
- automatic version update by autodist

* Thu Mar 19 2020 Automatic Build System <autodist@mambasoft.it> 3.6.3-1mamba
- automatic version update by autodist

* Mon Mar 16 2020 Automatic Build System <autodist@mambasoft.it> 3.6.2-1mamba
- automatic version update by autodist

* Mon Mar 16 2020 Automatic Build System <autodist@mambasoft.it> 3.6.1-1mamba
- automatic version update by autodist

* Thu Jan 23 2020 Automatic Build System <autodist@mambasoft.it> 3.6.0-1mamba
- automatic version update by autodist

* Wed Jan 30 2019 Automatic Build System <autodist@mambasoft.it> 3.5.5-1mamba
- automatic version update by autodist

* Mon Aug 13 2018 Silvan Calarco <silvan.calarco@mambasoft.it> 3.5.4-1mamba
- package created using the webbuild interface
